import logging
from .tests import basic

logging.getLogger().setLevel(logging.WARNING)

tests = (
    ("basic", basic),
)

def main():
    for test_name, test_module in tests:
        try:
            test_module.main()
            print(" ✓ {}".format(test_name))
        except AssertionError:
            print(" ✗ {}".format(test_name))
        except Exception as e:
            print(" ! {} {}".format(test_name, e))


if __name__ == '__main__':
    main()
